CUDA Runtime API (PDF) - v6.0 (older) - Last updated February 13, 2014 - Send Feedback -

## 4.14. cudaTextureDesc Struct Reference

## [Data types used by CUDA Runtime]

CUDA texture descriptor

### Public Variables

enumcudaTextureAddressMode addressMode[3]
enumcudaTextureFilterMode filterMode
unsigned int maxAnisotropy
float maxMipmapLevelClamp
float minMipmapLevelClamp
enumcudaTextureFilterMode mipmapFilterMode
float mipmapLevelBias
int normalizedCoords
enumcudaTextureReadMode readMode
int sRGB

### Variables

enumcudaTextureAddressMode cudaTextureDesc::addressMode[3] [inherited]

  Texture address mode for up to 3 dimensions

enumcudaTextureFilterMode cudaTextureDesc::filterMode [inherited]

  Texture filter mode

unsigned int cudaTextureDesc::maxAnisotropy [inherited]

  Limit to the anisotropy ratio

float cudaTextureDesc::maxMipmapLevelClamp [inherited]

  Upper end of the mipmap level range to clamp access to

float cudaTextureDesc::minMipmapLevelClamp [inherited]

  Lower end of the mipmap level range to clamp access to

enumcudaTextureFilterMode cudaTextureDesc::mipmapFilterMode [inherited]

  Mipmap filter mode

float cudaTextureDesc::mipmapLevelBias [inherited]

  Offset applied to the supplied mipmap level

int cudaTextureDesc::normalizedCoords [inherited]

  Indicates whether texture reads are normalized or not

enumcudaTextureReadMode cudaTextureDesc::readMode [inherited]

  Texture read mode

int cudaTextureDesc::sRGB [inherited]

  Perform sRGB->linear conversion during texture read